#-------------------------------------------------------------------------------
#
# COMMON MENTAT SYSTEM CONFIGURATIONS
#
#-------------------------------------------------------------------------------

{
    #---------------------------------------------------------------------------
    # Common useful mailer plugin configurations
    #---------------------------------------------------------------------------
    # Important note: Please be aware, that in case of regular event reporting
    # these settings override the values defined for abuse groups in database.
    # To enable reporting in production environment you must either disable them
    # here, or override them in a more speciffic configuration file (reporter).
    # In case of mentat-reporter.py module you must disable the ``mail_to`` setting
    # here to make it work.

    "mail_from": "root",
    "mail_to": "root",
    #"mail_cc": "root",
    #"mail_bcc": "root",
    "mail_reply_to": "root",
    "mail_return_path": "root",
    "mail_admin": "root",
    "mail_test_mode": true,
    "mail_dev_mode": false,
    "mail_dev_server": "localhost",
    "mail_dev_port": 1025,

    #---------------------------------------------------------------------------
    # Common useful piper daemon configurations
    #---------------------------------------------------------------------------

    #"queue_in_wait": 3,
    #"queue_out_wait": 10,
    #"queue_out_limit": 5000,

    #---------------------------------------------------------------------------
    # Common useful daemon configurations
    #---------------------------------------------------------------------------

    #"chroot-dir": null,
    #"work_dir": "/",
    #"umask": "0o002",
    #"stats_interval": 300,

    #---------------------------------------------------------------------------
    # Common useful application configurations
    #---------------------------------------------------------------------------

    #"verbosity": 0,
    #"log_level": "info",
    #"user": "mentat",
    #"group": "mentat",

    # This is a dummy last configuration so that the user does not have to fix
    # the commas in the whole configuration file after each change.
    "_dummy_": "_dummy_"
}
